package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Processing_agentRepository;
import com.realnet.vpspack.Entity.Processing_agent
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;














	import org.springframework.stereotype.Service;

@Service
 public class Processing_agentService {
@Autowired
private Processing_agentRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;













public Processing_agent Savedata(Processing_agent data) {














	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Processing_agent save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Processing_agent> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Processing_agent> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Processing_agent> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Processing_agent getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Processing_agent update(Processing_agent data,Integer id) {
	Processing_agent old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setPassport_number(data.getPassport_number());

old.setFilter_btn(data.getFilter_btn());

old.setReset_btn(data.getReset_btn());

old.setPending_agent_child(data.getPending_agent_child());

final Processing_agent test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
